> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-ad-account-provisioning-setup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Requestable Entry

> Delete a single requestable entry



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples delete /api/v1/catalogs/{catalog_id}/requestable_entries/{app_id}/{entitlement_id}
openapi: 3.1.0
info:
  description: The ConductorOne API is a HTTP API for managing ConductorOne resources.
  title: ConductorOne API
  version: 0.1.0-alpha
servers:
  - description: The ConductorOne API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/catalogs/{catalog_id}/requestable_entries/{app_id}/{entitlement_id}:
    delete:
      tags:
        - Request Catalog
      summary: Delete Requestable Entry
      description: Delete a single requestable entry
      operationId: >-
        c1.api.requestcatalog.v1.RequestCatalogManagementService.DeleteRequestableEntry
      parameters:
        - in: path
          name: catalog_id
          required: true
          schema:
            description: The ID of the access profile (catalog)
            readOnly: false
            type: string
        - in: path
          name: app_id
          required: true
          schema:
            description: The ID of the app that contains the entitlement
            readOnly: false
            type: string
        - in: path
          name: entitlement_id
          required: true
          schema:
            description: The ID of the entitlement
            readOnly: false
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.requestcatalog.v1.RequestCatalogManagementServiceDeleteRequestableEntryRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.requestcatalog.v1.RequestCatalogManagementServiceDeleteRequestableEntryResponse
          description: Empty response for delete operation
      x-codeSamples:
        - lang: go
          label: DeleteRequestableEntry
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.RequestCatalogManagement.DeleteRequestableEntry(ctx, operations.C1APIRequestcatalogV1RequestCatalogManagementServiceDeleteRequestableEntryRequest{\n        CatalogID: \"<id>\",\n        AppID: \"<id>\",\n        EntitlementID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.RequestCatalogManagementServiceDeleteRequestableEntryResponse != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    c1.api.requestcatalog.v1.RequestCatalogManagementServiceDeleteRequestableEntryRequestInput:
      description: Delete a single requestable entry
      title: Request Catalog Management Service Delete Requestable Entry Request
      type: object
      x-speakeasy-entity: Access_Profile_Requestable_Entry
      x-speakeasy-name-override: RequestCatalogManagementServiceDeleteRequestableEntryRequest
    c1.api.requestcatalog.v1.RequestCatalogManagementServiceDeleteRequestableEntryResponse:
      description: Empty response for delete operation
      title: Request Catalog Management Service Delete Requestable Entry Response
      type: object
      x-speakeasy-name-override: RequestCatalogManagementServiceDeleteRequestableEntryResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````